/* riva_iic.h 9/2001
** written by Rudolf Cornelissen
** Email: rag.cornelissen@inter.nl.net
*/

#ifndef RIVA_IIC_H
#define RIVA_IIC_H 

#include <Drivers.h>

void SwitchToVGA();
void SwitchRIVAtoTV (char lsb, char msb, char type);
char FlagIICError (char ErrNo);
void bstart (int BusNR);
void bstop (int BusNR);
void TXBit (char Bit, int BusNR);
char RXBit (int BusNR);
void TXByte (char Byte, int BusNR);
char RXByte (char Ack, int BusNR);
void OutSCL(char Bit, int BusNR);
void OutSDA(char Bit, int BusNR);
char InSCL(int BusNR);
char InSDA(int BusNR);
void EnableTVOut();

enum
{
	rivaStartIIC = B_DEVICE_OP_CODES_END+20001, 
    rivaStopIIC,
    rivaChkBus,
    rivaVersion,
    rivaUnlock,
    rivaPal640,
    rivaPal800,
    rivaNtsc640,
    rivaNtsc800,
    rivaVgaOff,
    rivaVgaOn,
    rivaVesaVgaOnly,
    rivaIsMode640,
    rivaIsModeValid,
    rivaEnableTVOut,
    rivaVgaOnly,
}; 

#endif
